Test::Int::IntPropLevels Class Reference

Iterator for simple integer propagation levels. More...

`#include <int.hh>`

## Public Member Functions

| IntPropLevels (void)
| Initialize iterator.
bool | operator() (void) const
| Test whether iterator is done.
void | operator++ (void)
| Increment to next level.
Gecode::IntPropLevel | ipl (void) const
| Return current level.

## Detailed Description

Iterator for simple integer propagation levels.

Definition at line 332 of file int.hh.

## Constructor & Destructor Documentation

## IntPropLevels()

Test::Int::IntPropLevels::IntPropLevels | ( | void |  | ) |

inline

Initialize iterator.

Definition at line 302 of file int.hpp.

## Member Function Documentation

## operator()()

bool Test::Int::IntPropLevels::operator() | ( | void |  | ) | const

inline

Test whether iterator is done.

Definition at line 305 of file int.hpp.

## operator++()

void Test::Int::IntPropLevels::operator++ | ( | void |  | ) |

inline

Increment to next level.

Definition at line 309 of file int.hpp.

## ipl()

Gecode::IntPropLevel Test::Int::IntPropLevels::ipl | ( | void |  | ) | const

inline

Return current level.

Definition at line 313 of file int.hpp.

The documentation for this class was generated from the following files:

- test/int.hh
- test/int.cpp
- test/int.hpp